Gtk_Separator(3)

NAME - Gtk_Separator
Seperator parent.

HEADER REQUIRED
#include <gtk--/separator.h&gt;>

BASE CLASSES
Gtk_Widget(3)

DERIVED BY
Gtk_HSeparator(3) Gtk_VSeparator(3)

DESCRIPTION
Abstract base class for Gtk_VSeperator and Gtk_HSeperator.

PUBLIC MEMBER INDEX
    Gtk_Separator(GtkSeparator *castitem);
    GtkSeparator*  gtkobj();
    const GtkSeparator*  gtkobj() const;
    static bool  isGtkSeparator(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkSeparator  BaseObjectType;
    typedef GtkSeparatorClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_Separator();

PRIVATE MEMBER INDEX
    static CppClassType  separator_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS